import request from '@/utils/request'

// 人员性质管理 - 查询列表
export function listPersonNatureAPI(query) {
    return request({
        url: '/personnelClassification/getClassificationList',
        method: 'GET',
        params: query,
    })
}

// 人员性质管理 - 新增
export function addPersonNatureAPI(data) {
    return request({
        url: '/personnelClassification/addClassification',
        method: 'POST',
        data,
    })
}

// 人员性质管理 - 修改
export function updatePersonNatureAPI(data) {
    return request({
        url: '/personnelClassification/updateClassification',
        method: 'POST',
        data,
    })
}

// 人员性质管理 - 删除
export function delPersonNatureAPI(data) {
    return request({
        url: `/personnelClassification/delClassification`,
        method: 'POST',
        data,
    })
}
